Bug 247699 - Review Request: R-BufferedMatrixMethods - Microarray Data related methods that utlize BufferedMatrix
Summary: Review Request: R-BufferedMatrixMethods - Microarray Data related methods tha...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 246539
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-10 19:54 UTC by Pierre-Yves
Modified: 2007-12-10 20:45 UTC (History)
2 users (show)

Fixed In Version: 1.3.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 20:45:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-Yves 2007-07-10 19:54:51 UTC
Spec URL: http://pingoured.dyndns.org/public/RPM/R-BufferedMatrixMethods/R-BufferedMatrixMethods.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-BufferedMatrixMethods/R-BufferedMatrixMethods-1.0.0-1.fc6.src.rpm
Description:
Microarray analysis methods that use BufferedMatrix objects

Another R package :-)

Comment 2 Jason Tibbitts 2007-07-13 22:51:19 UTC
This fails to build:

init_package.c:5:84: error:
/usr/share/R/library/BufferedMatrix/include/doubleBufferedMatrix_stubs.c: No
such file or directory
make: *** [init_package.o] Error 1
ERROR: compilation failed for package 'BufferedMatrixMethods'

Looks like it needs a build requirement on R-BufferedMatrix-devel.

Could you clean up the commented sections in the spec?  Especially the %files
list gets a bit confusing.

Comment 4 Pierre-Yves 2007-07-17 15:56:51 UTC
I have made some others change 

There are the new files
SPEC
http://pingoured.dyndns.org/public/RPM/R-BufferedMatrixMethods/R-BufferedMatrixMethods.spec
SRPM
http://pingoured.dyndns.org/public/RPM/R-BufferedMatrixMethods/R-BufferedMatrixMethods-1.0.0-4.fc6.src.rpm

Btw I will be away until the 29th so I do not if I will be able to check my
mails over this time

Cheers

Comment 6 Jason Tibbitts 2007-11-18 23:30:54 UTC
Builds OK; rpmlint has the usual "one-line-command-in-%post" complaints, plus
  R-pls.noarch: W: file-not-utf8 /usr/share/R/library/pls/DESCRIPTION
which should be fixed by a pass through iconv.

I note that 2.1 has been released, and they seem to have removed the 2.0 tarball
from the upstream site.  Did you want to update this package or should I review
this version?

Comment 7 Jason Tibbitts 2007-11-18 23:32:42 UTC
Hmm, somehow I confused myself and commented on the wrong ticket.  That was
supposed to go to the R-pls ticket.

Comment 8 Jason Tibbitts 2007-11-19 00:46:14 UTC
Now, to this ticket:

Builds fine and has only the two expected rpmlint complaints.  There are a few
minor issues with the dependencies:

You don't need the explicit Requires: R; rpm will dinf the libR.so dependency
for you.

You don't need a build dependency on R-BufferedMatrix because
R-BufferedMatrix-devel will bring it in anyway.

You should normally have a build depencency on R-devel, although it's not an
absolute requirement as this package manages to build without it.

Normally you'd have a dependency on tetex-latex.  I thought it was required to
build the documentation and the %check section will warn about not finding it,
but I can't see any substantive difference between builds with and without it,
so I guess there's no need for it.

None of these are blockers.

* source files match upstream:
   d01fac28ee6c314bb8a0c9d4501acf38e47a1047b76117d16323d56bbe1ef9a2  
   BufferedMatrixMethods_1.0.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has only the usual complaints.
* final provides and requires are sane:
   BufferedMatrixMethods.so()(64bit)
   R-BufferedMatrixMethods = 1.0.0-5.fc9
  =
   /bin/sh
   R
   R-BufferedMatrix
   libR.so()(64bit)
* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R index generation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 9 Pierre-Yves 2007-11-23 17:08:51 UTC
I have made the changes including the BuildRequire for tetex-latex just in order
to keep all the packages on the same way...

thanks for the review :)


Comment 10 Pierre-Yves 2007-11-23 17:09:51 UTC
New Package CVS Request
=======================
Package Name: R-BufferedMatrixMethods
Short Description: Microarray Data related methods that utlize BufferedMatrix
Owners: pingou
Branches: F-7 f-8
InitialCC: 
Cvsextras Commits: yes

Comment 11 Kevin Fenzi 2007-11-23 19:54:31 UTC
cvs done.

Comment 12 Fedora Update System 2007-12-06 17:40:25 UTC
R-BufferedMatrixMethods-1.3.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-BufferedMatrixMethods'

Comment 13 Fedora Update System 2007-12-06 20:55:34 UTC
R-BufferedMatrixMethods-1.3.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-BufferedMatrixMethods'

Comment 14 Fedora Update System 2007-12-10 20:45:06 UTC
R-BufferedMatrixMethods-1.3.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2007-12-10 20:45:38 UTC
R-BufferedMatrixMethods-1.3.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.